NNG_FREE(3)

NAME
nng_free - free memory

SYNOPSIS

    #include <nng/nng.h>

    void nng_free(void *ptr, size_t size);

DESCRIPTION

The nng_free() function deallocates a memory region of size size, that was previously allocated by nng_alloc() or nng_recv() with the NNG_FLAG_ALLOC flag.

    Important

    It is very important that size match the allocation size used to allocate the memory.

    Important

    Do not attempt to use this function to deallocate memory obtained by a call to the system malloc() or calloc() functions, or the C++ new operator. Doing so may result in unpredictable behavior, including corruption of application memory.

RETURN VALUES

None.

ERRORS

None.

SEE ALSO

nng_alloc(3), nng_recv(3), nng(7)